Bug 245631 - [QLogic 4.6 bug] [1/4] Update qla2xxx driver to version 8.01.07-d1 - Various fixes
[QLogic 4.6 bug] [1/4] Update qla2xxx driver to version 8.01.07-d1 - Various ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA
Depends On:
Blocks: 216987 233500
  Show dependency treegraph
 
Reported: 2007-06-25 15:36 EDT by Marcus Barrow
Modified: 2009-06-19 19:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for issues described in this BZ. (39.79 KB, text/plain)
2007-06-27 09:46 EDT, Marcus Barrow
no flags Details

  None (edit)
Description Marcus Barrow 2007-06-25 15:36:56 EDT
These patches are first part of updates to satisfy BZ 233500.

Updates to QLogic FC driver:
    Work around power management issues for D3 state.
    Improvements to handle queue-full situations.
    Generalized support for iIDMA.
    Allow use of IRQ #0.
    Fix for RSCN on big-endian hosts.
    Correct byte ordering of fc_host in fabric name.

Fixes come from the QLogic standard driver.
Comment 1 Andrius Benokraitis 2007-06-25 15:55:03 EDT
Marcus, any reason why you aren't using bug 233500 for this? What's the
difference? I don't see patches attached to either bugzilla... thanks!
Comment 2 Marcus Barrow 2007-06-27 09:46:48 EDT
Created attachment 158005 [details]
Patch for issues described in this BZ.
Comment 3 Marcus Barrow 2007-06-27 09:53:44 EDT
Andrius:

It has been difficult for me to consolidate everything for one BZ. Most of these issues
are consolidated, but putting all QLogic work for 4.6 under one BZ has hindered progress.
These patches for this BZ have been available for 2 months and should have been submitted
right away.

Comment 4 Andrius Benokraitis 2007-06-27 10:01:07 EDT
Marcus - this bug is currently *not on any list*, and considered a *new
request*. Is bug 233500 different from this bug? The reason I ask is that
feature submissions were due (bugzillas created) by 31-Mar-07, which bug 233500
satisfies.

What are your intentions for use of this bug and bug 233500 for updating qla2xxx?
Comment 5 Marcus Barrow 2007-06-27 10:18:39 EDT
Andrius:

This is a patch to satisfy 233500. It is one of several. I tried to make 233500 depend on this bug.
My intention is to create 2 -3 more bugs which 233500 will depend on.

Using 233500 to represent all QLogic FC work in 4.6 is an "all eggs in one basket approach".
It doesn't allow for progress on one group of patches while another is being held up for
review etc. So my intention is to submit BZ's to track the work to satisfy 233500.

I made this choice after several discussions with the kernel maintainers for both 5.1 and 4.6.

Sorry if this is more difficult at your end. I just haven't been able to herd everything together
at once. It has really slowed my progress.
Comment 6 Andrius Benokraitis 2007-06-27 10:35:34 EDT
Marcus - as long as you have buy-in from RH engineering, that's fine with me.
Please provide an appropriate summary this this patch in bugzilla.

I'm assuming all bugzillas are pieces that will ultimately bump the version to
8.01.07.04?
Comment 8 Jason Baron 2007-07-31 11:53:34 EDT
committed in stream U6 build 55.26. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 11 John Poelstra 2007-08-29 13:59:01 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 12 John Poelstra 2007-09-05 18:27:10 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 13 John Poelstra 2007-09-11 20:42:44 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 14 John Poelstra 2007-09-20 00:31:08 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6-Snapshot3 on partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 16 errata-xmlrpc 2007-11-15 11:29:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.